# $Revision: 1.15 $, $Date: 2003/05/12 11:31:40 $
Summary:	A wrapper for Pine and GnuPG/PGP2/PGP5/PGP6
Summary(es):	Un filtro para el Pine y GnuPG/PGP2/PGP5/PGP6
Summary(pl):	Nakadka na Pine i GnuPG/PGP2/PGP5/PGP6
Summary(pt_BR):	Um filtro para o Pine e GnuPG/PGP2/PGP5/PGP6
Name:		pgp4pine
Version:	1.76
Release:	3
License:	GPL
Vendor:		Holger Lamm <holger@flatline.de>
Group:		Applications/Text
Source0:	http://pgp4pine.flatline.de/%{name}-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-overflow.patch
URL:		http://pgp4pine.flatline.de/
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	gnupg
Requires:	pine
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A filter for Pine to encrypt/sign your Mail with PGP or GPG.

%description -l es
Un filtro para el Pine encriptar/assinar su correo electronico con PGP
o GPG.

%description -l pl
Filtr dla Pine umoliwiajcy podpisywanie/szyfrowanie poczty przy
uyciu PGP lub GPG.

%description -l pt_BR
Um filtro para o Pine encriptar/assinar seu correio eletrnico com PGP
ou GPG.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-docdir=%{_datadir}/doc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "ATTENTION! Installation is not yet complete."
echo "You must configure Pine to use pgp4pine!"
echo "Read %{_docdir}/%{name}-%{version}/INSTALL.gz to know how."

%files
%defattr(644,root,root,755)
%doc INSTALL README pgp4pine/docs/en/{FAQ,PGP_MIME}
%doc pgp4pine/docs/en/pgp4pinerc.example
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pgp4pine.spec,v $
Revision 1.15  2003/05/12 11:31:40  kloczek
- added missing gnupg to Requires list.

Revision 1.14  2003/05/12 10:49:11  qboosh
- added security patch for buffer overflow
  (arbitrary code execution through specially crafted e-mail message)
- release 3, STB to ra/updates/security

Revision 1.13  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.12  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/05/21 23:14:22  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.6  2002/01/18 09:19:55  kloczek
- release 2.

Revision 1.5  2002/01/18 09:06:18  qboosh
- gzip doc, cosmetics

Revision 1.4  2002/01/18 08:18:41  adasi
 - polish summary and description
 - fixed docs (were not included in package)
 - Requires: pine (obvious :)

Revision 1.3  2002/01/18 03:16:24  kloczek
- finished,
- merged translations from Conectiva.

Revision 1.2  2002/01/18 02:14:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2002/01/18 00:51:50  adasi
- Initial release; adapted from original spec
- STBR
